Bug 1128171 - [abrt] gitg: _g_log_abort(): gitg killed by SIGABRT
Summary: [abrt] gitg: _g_log_abort(): gitg killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gitg
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ignacio Casal Quinteiro (nacho)
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:10634eb966eb4d614241f77245a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 13:47 UTC by redhat
Modified: 2015-06-29 21:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:58:58 UTC


Attachments (Terms of Use)
File: backtrace (78.55 KB, text/plain)
2014-08-08 13:47 UTC, redhat
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-08 13:47 UTC, redhat
no flags Details
File: core_backtrace (43.85 KB, text/plain)
2014-08-08 13:47 UTC, redhat
no flags Details
File: dso_list (7.67 KB, text/plain)
2014-08-08 13:47 UTC, redhat
no flags Details
File: environ (3.05 KB, text/plain)
2014-08-08 13:47 UTC, redhat
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-08 13:47 UTC, redhat
no flags Details
File: maps (41.12 KB, text/plain)
2014-08-08 13:47 UTC, redhat
no flags Details
File: open_fds (1.24 KB, text/plain)
2014-08-08 13:47 UTC, redhat
no flags Details
File: proc_pid_status (935 bytes, text/plain)
2014-08-08 13:47 UTC, redhat
no flags Details
File: var_log_messages (197 bytes, text/plain)
2014-08-08 13:47 UTC, redhat
no flags Details

Description redhat 2014-08-08 13:47:21 UTC
Version-Release number of selected component:
gitg-0.2.7-2.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        gitg
crash_function: _g_log_abort
executable:     /usr/bin/gitg
kernel:         3.15.7-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _g_log_abort at gmessages.c:255
 #5 gtk_cell_renderer_get_aligned_area at gtkcellrenderer.c:1735
 #6 render_cell at gtkcellarea.c:1148
 #7 gtk_cell_area_box_foreach_alloc at gtkcellareabox.c:1289
 #8 gtk_cell_area_real_render at gtkcellarea.c:1213
 #9 _gtk_tree_view_column_cell_render at gtktreeviewcolumn.c:2951
 #10 gtk_tree_view_bin_draw at gtktreeview.c:5179
 #11 draw_bin at gtktreeview.c:5441
 #12 _gtk_pixel_cache_draw at gtkpixelcache.c:440
 #13 gtk_tree_view_draw at gtktreeview.c:5484

Comment 1 redhat 2014-08-08 13:47:24 UTC
Created attachment 925172 [details]
File: backtrace

Comment 2 redhat 2014-08-08 13:47:25 UTC
Created attachment 925173 [details]
File: cgroup

Comment 3 redhat 2014-08-08 13:47:27 UTC
Created attachment 925174 [details]
File: core_backtrace

Comment 4 redhat 2014-08-08 13:47:29 UTC
Created attachment 925175 [details]
File: dso_list

Comment 5 redhat 2014-08-08 13:47:30 UTC
Created attachment 925176 [details]
File: environ

Comment 6 redhat 2014-08-08 13:47:31 UTC
Created attachment 925177 [details]
File: limits

Comment 7 redhat 2014-08-08 13:47:33 UTC
Created attachment 925178 [details]
File: maps

Comment 8 redhat 2014-08-08 13:47:34 UTC
Created attachment 925179 [details]
File: open_fds

Comment 9 redhat 2014-08-08 13:47:35 UTC
Created attachment 925180 [details]
File: proc_pid_status

Comment 10 redhat 2014-08-08 13:47:36 UTC
Created attachment 925181 [details]
File: var_log_messages

Comment 11 Lubomír Sedlář 2014-11-26 12:12:25 UTC
Another user experienced a similar problem:

When displaying recent commits, after selecting some ancestor of HEAD, gitg crashed.

There was an error on stderr:

Gtk:ERROR:gtkcellrenderer.c:1735:gtk_cell_renderer_get_aligned_area: assertion failed: (aligned_area->x >= cell_area->x && aligned_area->x <= cell_area->x + cell_area->width)
Neúspěšně ukončen (SIGABRT) (core dumped [obraz paměti uložen])

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        gitg
crash_function: _g_log_abort
executable:     /usr/bin/gitg
kernel:         3.16.7-200.fc20.x86_64
package:        gitg-0.2.7-2.fc20
reason:         gitg killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 12 Fedora End Of Life 2015-05-29 12:35:15 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 21:58:58 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.